Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Martin Bays <[email-masked]>
Date: Fri, 24 Jan 2003 19:36:21 +0000 (GMT)

On Thu, 23 Jan 2003, Robin Lee Powell wrote:

> On Thu, Jan 23, 2003 at 11:46:04PM +0000, Martin Bays wrote:
> > On Thu, 23 Jan 2003, Robin Lee Powell wrote:
> > > On Sun, Jan 19, 2003 at 01:33:18PM +0000, Martin Bays wrote:
> >
> > > > .i le pu'u mi mi'e. maten. cilre fi la lojban. masti li so'u
> > >
> > > stidi lo'u cu masti le'u
> > >
> >
> > drani .u'u .i do mi ba'o mulfa'igau le du'u lo si'o sucta se cusku to
> > mu'u toi cu kakne lo nu seltau .i ki'e
>
> je'e to milxe stidi zo mu'a toi

.ie xagmau

> > > > The "imaginary journey" idea doesn't seem to make much sense for
> > > > some FAhA cmavo, such as fa'a, to'o, zo'i. What does {fa'a broda}
> > > > mean?
> > >
> > > broda occurs towards an unspecified place, i.e. between me and
> > > there.
> > >
> > > > Or indeed {fa'a mo'i broda}?
> > >
> > > broda occurs whilst moving towards an unspecified place.
> > >
> > > > How about {broda fa'a ko'a}?
> > >
> > > broda occurs between here and ko'a, most likely. Or pointing
> > > towards it; not sure.
> > >
> >
> > That makes sense, but it upsets the usual equivalence between {FAhA broda}
> > and {broda FAhA mi}.
>
> I don't think you mean 'equivalence'; if you do, you are wrong.
>
> broda be'a ko'a == broda occurs to the north of ko'a (I think)
> be'a broda == broda occurs to the north of the observer
>

Isn't "the observer" generally mi? What does {broda be'a mi} mean that
{be'a broda} doesn't?

> > [Snipping interesting stuff]
> > >
> > > So
> > >
> > > li ma'o fy. pa jo'i re jo'i ci
> > >
> > > appears to work; this treats jo'i as infix, which may or may not be
> > > correct.
> >
> > jbofi'e says no.

Oops! u'u o'onai se'i I think I forgot the li.

>
> rlpowell@chain> jbofihe -x
> li ma'o fy. pa jo'i re jo'i ci
> Warning: Sentence may be missing selbri at line 1 column 1?
> [(li /No./ ma'o /operand to operator/ fy /f/ pa /1/ jo'i /array/ re /2/ jo'i /array/ ci /3/)]
>
> jbofihe version V0_38
>
> > [more snip]
> > >
> > > ce'o doesn't work in mex, nor do any of the set operators, which is
> > > *insane*. I have *no* idea how to do set math in lojban. jo'i is
> > > *certainly* not it. If I knew how to get JOI to work in mex, that
> > > would be fixable, but I've no idea how to do that. If we can't make
> > > JOI work in mex, then we either need to add set and sequence
> > > operations to mex, or I'm going to throw my weight on the "mex are
> > > totally useless" side of the argument.
> > >
> >
> > Umm... you can have JOI connected operands (see e.g. CLL18.17.10)...
> > whether this is an acceptable way of doing mathematical sequences I
> > don't know, though I'd assumed it was.
>
> li vei pa ce re ce ci ve'o vu'u re
>
> works in jbofihe. As do a few other examples. I'm sorry, you're
> absolutely right.
>
> Oddly enough,
>
> li ma'o fy. pa jo'i re ce ci
>

I read that as "f(1,({1,3}))". Is that right, and is it what you meant?

> works but
>
> li ma'o fy. pa ce re ce ci
>
> does not. Anyone know why?

You need the boi - {li ma'o fy. boi pa ce re ce ci} works.

>
> li ma'o fy. vei pa ce re ce ci
>
> does work, though, and I can accept that, although I'm more likely to
> use jo'i.

If you want a JOI equivalent of jo'i, shouldn't you be using ce'o? ce is
"in a set with".

> Now if I just had math stuff to write in lojban... Any
> ideas? I was toying a bit with Einstein's original Relativity paper.
>

Fantastic idea!

> As an added bonus, "li pa ce re ce ci vu'u re" appears to be equivalent
> to the version with vei and ve'o, and satisfies my concerns about lojban
> not having all set operations; if anyone things that the above does
> *not* evaluate to "pa ce ci", please let me know.

I don't see why it should... If you're using vu'u as a set subtraction
operator, surely it needs both sides to be sets. But {re} on its own is
"2", not "{2}". Would {lu'i li re} be "{2}"?

>
> Now, on to the general set problems.
>
> Unfortunately, that doesn't fix the general set problems. In
> particular, if we have:
>
> le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a le remoi gerku ce
> vomoi gerku
>
> I'm not sure how to turn that into a set subtraction, without which we
> do *not* have a complete set (ha ha) of general set operators.
>
> Some ideas, comments requested:
>
> le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a ni'u le remoi gerku
>
> le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a da'a le remoi gerku
>
> le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a nai le remoi gerku
>
> I think I like da'a the best, but they all suck, IMO. Having a cmavo
> for set subtraction seems reasonable.

da'a seems best... though this approach does mean you're taking an
intersection with a proper class, which might be something we'd rather
avoid (isn't it?).

>
> While I'm at it, does anyone see a difference between
>
> le pamoi gerku ce remoi gerku ce cimoi gerku ku ku'a le remoi gerku ce
> vomoi gerku
>
> and
>
> le pamoi gerku ku ce le remoi gerku ku ce le cimoi gerku ku ku'a le
> remoi gerku ku ce le vomoi gerku
>
> ? (The latter having a lot more ku). I'm pretty sure they're
> equivalent, but I want to check.

I'd guess they're the same... but then I don't know nothin'.

>
> > > As the only B.Math here, AFAIK, I'd like to think that my weight
> > > matters in this case. 8)
> >
> > Give me a few months, and I'm afraid I'll be a BMath in all but
> > name... and give me another year and I should be an MMath. And then
> > I'll outrank you! Hee-hee.
>
> An actual M.Math, or an M.Sc. in Math? If an actual M.Math, what
> school?

Eeek! I get confused with the terminology. It's this weird system we have
in England (and maybe the whole of Britain) where you get MMath for doing
a four year first degree, and a BMath (or actually, maybe just a BA - is a
BMath something more special?) for doing the usual three years.

I think it's meant to be roughly - M.Math = B.A. + M.Sc., though in fact
if you want to carry on with maths in academia you pretty much have to do
the 4-year course.

>
> > I have actually tried to do a little translation of logic/set theory
> > stuff into lojban... but not without difficulty. And I found normal
> > bridi more useful than mex - but then I haven't really fully absorbed
> > that chapter yet.
>
> <nod>
>
> I would like to translate something mathematical and substantial; got any
> contacts that would like to let us release a translated paper?

Ummm... I guess I could ask someone. Can you be more specific? Do you just
want some random high-powered maths research? Would it be comprehensible
enough to be translatable? And how official a "release"?

> -Robin

---

#^t'm::>#shs>:#,_$1+9j9"^>h>" < v
:>8*0\j" o'u" v" e'i" v".neta"^q>
;z,[; > > ^